# the compiler crashed with the default, try with -j6
%global _smp_ncpus_max 6

Summary:	Matroska multimedia file utils
Name:		mkvtoolnix
Version:	9.7.1
Release:	%mkrel 1
Source0:	https://mkvtoolnix.download/sources/%{name}-%{version}.tar.xz
Source1:	https://mkvtoolnix.download/sources/%{name}-%{version}.tar.xz.sig
URL:		https://mkvtoolnix.download
License:	GPLv2+ and LGPLv2+
Group:		Video/Editors and Converters
BuildRequires:	libvorbis-devel
BuildRequires:	libmatroska-devel >= 1.4.4
BuildRequires:	libebml-devel >= 1.3.3
BuildRequires:	qt5-devel >= 5.2.0
BuildRequires:	liblzo-devel
BuildRequires:	libmagic-devel
BuildRequires:	libbzip2-devel
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	libexpat-devel
BuildRequires:	boost-devel >= 1.46
BuildRequires:	gcc-c++ >= 4.6.0
BuildRequires:	multiarch-utils
BuildRequires:	ruby

%description
These tools allow information about (mkvinfo) or extraction
from (mkvdemux) or creation of (mkvmerge) or the splitting of
(mkvsplit) Matroska files.

%prep
%setup -q
%autopatch -p1

%build
#gw disable curl, we don't want the new version pop-up
%configure2_5x --without-curl
./drake %_smp_mflags

%install
./drake install DESTDIR=%{buildroot}
%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%{_bindir}/mkvextract
%{_bindir}/mkvinfo
%{_bindir}/mkvmerge
%{_bindir}/mkvpropedit
%{_bindir}/mkvtoolnix-gui
%{_datadir}/applications/mkvinfo.desktop
%{_datadir}/applications/mkvtoolnix-gui.desktop
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/*
%lang(ca) %{_mandir}/ca/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(uk) %{_mandir}/uk/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*


%changelog
* Sun Jan 08 2017 zezinho <zezinho> 9.7.1-1.mga6
+ Revision: 1080718
- new version 9.7.1

* Sun Dec 11 2016 zezinho <zezinho> 9.6.0-1.mga6
+ Revision: 1074209
- new version 9.6.0

* Mon Sep 19 2016 zezinho <zezinho> 9.4.2-1.mga6
+ Revision: 1054503
- new version 9.4.2

  + gw666 <gw666>
    - new version

* Mon Apr 25 2016 gw666 <gw666> 9.1.0-1.mga6
+ Revision: 1006035
- new version 9.1.0

* Mon Mar 28 2016 gw666 <gw666> 9.0.1-1.mga6
+ Revision: 996018
- new version 9.0.1
- add Korean man pages

* Sun Feb 21 2016 gw666 <gw666> 8.9.0-1.mga6
+ Revision: 975379
- new version 8.9.0
- add Polish man pages

* Fri Jan 22 2016 zezinho <zezinho> 8.8.0-1.mga6
+ Revision: 926570
- new version

* Sun Jan 03 2016 gw666 <gw666> 8.7.0-1.mga6
+ Revision: 918695
- new version 8.7.0

* Sat Dec 26 2015 daviddavid <daviddavid> 8.6.1-2.mga6
+ Revision: 915380
- rebuild for new boost 1.60.0

* Mon Nov 30 2015 gw666 <gw666> 8.6.1-1.mga6
+ Revision: 907289
- new version

* Sun Nov 29 2015 gw666 <gw666> 8.6.0-1.mga6
+ Revision: 907063
- new version

* Thu Nov 05 2015 gw666 <gw666> 8.5.2-1.mga6
+ Revision: 897893
- new version 8.5.2

* Wed Oct 21 2015 gw666 <gw666> 8.5.1-1.mga6
+ Revision: 893791
- new version
- bump libebml and libmatroska deps

* Sun Oct 18 2015 gw666 <gw666> 8.5.0-1.mga6
+ Revision: 892481
- add Catalan man pages
- new version

* Fri Sep 25 2015 tv <tv> 8.4.0-2.mga6
+ Revision: 883555
- rebuild for new boost

* Mon Sep 21 2015 gw666 <gw666> 8.4.0-1.mga6
+ Revision: 882037
- new version
- drop wxgtk based progams

* Mon Aug 17 2015 gw666 <gw666> 8.3.0-2.mga6
+ Revision: 865299
- build with -j6
- drop patch
- new version

* Sat Aug 15 2015 ycantin <ycantin> 8.2.0-5.mga6
+ Revision: 864917
- rebuild for new wxgtk built with wxRE_ADVANCED
- fix spec formatting

* Fri Jul 31 2015 daviddavid <daviddavid> 8.2.0-3.mga6
+ Revision: 860032
- rebuild for new boost-1.58.0

* Thu Jul 23 2015 daviddavid <daviddavid> 8.2.0-2.mga6
+ Revision: 856280
- rebuild for new wxgtk built with gtk3

* Mon Jul 20 2015 gw666 <gw666> 8.2.0-1.mga6
+ Revision: 855623
- add Spanish man pages
- add build patch
- drop patch
- new version

* Wed Jul 01 2015 gw666 <gw666> 8.1.0-1.mga6
+ Revision: 849293
- fix the patch
- patch to fix compilation with the upcoming Qt 5.5.0
- new version 8.1.0
- new version 8.0.0
- new version
- add mkvtoolnix-gui
- depend on Qt5
- new version
- update dep versions

* Fri Feb 20 2015 zezinho <zezinho> 7.6.0-1.mga5
+ Revision: 816152
- new version 7.6

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Mon Aug 18 2014 gw666 <gw666> 7.1.0-1.mga5
+ Revision: 665238
- new version
- disable curl support, we don't want the check for updates

* Sat Jul 05 2014 zezinho <zezinho> 7.0.0-1.mga5
+ Revision: 643651
- version 7.0.0

* Wed May 21 2014 zezinho <zezinho> 6.9.1-1.mga5
+ Revision: 624682
- new version

* Wed Mar 12 2014 dams <dams> 6.8.0-1.mga5
+ Revision: 602655
- new version 6.8.0

* Mon Feb 17 2014 fwang <fwang> 6.7.0-2.mga5
+ Revision: 593383
- build with wxgtk 3.0

* Sat Feb 08 2014 dams <dams> 6.7.0-1.mga5
+ Revision: 585745
- new version 6.7.0

* Tue Oct 29 2013 zezinho <zezinho> 6.5.0-1.mga4
+ Revision: 547765
- new version 6.5.0

* Sat Oct 19 2013 umeabot <umeabot> 6.3.0-3.mga4
+ Revision: 532404
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 luigiwalser <luigiwalser> 6.3.0-2.mga4
+ Revision: 468280
- rebuild for libebml

* Wed Jul 24 2013 dams <dams> 6.3.0-1.mga4
+ Revision: 457551
- new version 6.3.0

* Wed Jul 10 2013 fwang <fwang> 6.2.0-2.mga4
+ Revision: 452404
- rebuild for new boost

* Tue Jun 18 2013 zezinho <zezinho> 6.2.0-1.mga4
+ Revision: 444783
- new version

* Thu Apr 11 2013 malo <malo> 6.1.0-2.mga3
+ Revision: 409495
- rebuild for boost 1.53

* Mon Mar 11 2013 zezinho <zezinho> 6.1.0-1.mga3
+ Revision: 402107
- new version

* Thu Feb 21 2013 barjac <barjac> 5.9.0-4.mga3
+ Revision: 399796
- remove un-needed line in %%files causing listed twice warning

* Sat Jan 12 2013 umeabot <umeabot> 5.9.0-3.mga3
+ Revision: 360142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 5.9.0-2.mga3
+ Revision: 333052
- rebuild for new boost

* Thu Dec 13 2012 zezinho <zezinho> 5.9.0-1.mga3
+ Revision: 330455
- new version

* Tue Nov 27 2012 zezinho <zezinho> 5.8.0-2.mga3
+ Revision: 322429
- fix rpm group

* Mon Sep 03 2012 fwang <fwang> 5.8.0-1.mga3
+ Revision: 287483
- new version 5.8.0

* Wed Aug 01 2012 fwang <fwang> 5.7.0-2.mga3
+ Revision: 277166
- rebuild for new boost

* Wed Jul 11 2012 fwang <fwang> 5.7.0-1.mga3
+ Revision: 269373
- new version 5.7.0

* Thu May 31 2012 fwang <fwang> 5.6.0-1.mga3
+ Revision: 252096
- new version 5.6.0

* Wed May 30 2012 fwang <fwang> 5.3.0-2.mga3
+ Revision: 250108
- rebuild for new boost

* Sun Feb 19 2012 luigiwalser <luigiwalser> 5.3.0-1.mga2
+ Revision: 210690
- fix BuildRequires
- 5.3.0

* Sun Jan 08 2012 zezinho <zezinho> 5.2.1-1.mga2
+ Revision: 193487
- add uk manpages
- new version

* Tue Dec 06 2011 fwang <fwang> 5.1.0-1.mga2
+ Revision: 177245
- br curl
- new version 5.1.00

* Mon Nov 28 2011 fwang <fwang> 5.0.1-2.mga2
+ Revision: 173613
- rebuild for new boost

* Sun Oct 30 2011 supp <supp> 5.0.1-1.mga2
+ Revision: 160143
- update to 5.0.1

* Mon Sep 26 2011 fwang <fwang> 5.0.0-1.mga2
+ Revision: 148438
- new version 5.0.0
- rebuild for new boost

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Mon Jul 18 2011 ahmad <ahmad> 4.9.1-1.mga2
+ Revision: 125777
- Update to 4.9.1
- Covert BR to pkgconfig style (when possible)

* Wed Jun 22 2011 fwang <fwang> 4.8.0-2.mga2
+ Revision: 111916
- rebuild for new boost

* Thu Jun 09 2011 ahmad <ahmad> 4.8.0-1.mga2
+ Revision: 102064
- Update to 4.8.0
- Drop BR qt4-devel (it was wrongly added in a previous commit)
- Disable BR libmatroska-devel, according to the upstream changelog:
  "For the time being the build system will always build and link statically
   against the internal versions of libEBML and libMatroska."

* Wed Apr 13 2011 ahmad <ahmad> 4.6.0-1.mga1
+ Revision: 84066
- update to 4.6.0

* Wed Feb 02 2011 dmorgan <dmorgan> 4.5.0-1.mga1
+ Revision: 46440
- New version

* Wed Jan 26 2011 ahmad <ahmad> 4.4.0-2.mga1
+ Revision: 39846
- drop old/unneeded scriptlets
- imported package mkvtoolnix

